[supervisord]
nodaemon=true #true jadi foreground process, false jadi daemonize/background
loglevel=info 
user=root

[program:nginx]
command=/usr/sbin/nginx -g "daemon off;"
autostart=true
autorestart=true
stderr_logfile=/dev/stderr
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes = 0
stderr_logfile_maxbytes = 0
user=root

[program:BE]
directory= {{dest_BE}}
command=/bin/sh ./run.sh AISCO {{main_class}} 
autostart=true
autorestart=true
stderr_logfile=/dev/stderr
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes = 0
stderr_logfile_maxbytes = 0
user=root

[program:Json-Server]
directory= {{dest_FE}}
command=json-server --watch {{main_class | lower}}-static-page-db.json --port {{port_container_JsonServer}}
autostart=true
autorestart=true
stderr_logfile=/dev/stderr
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes = 0
stderr_logfile_maxbytes = 0
user=root